cURL
curl --request POST \
--url https://api.tilt.io/api/v1/custom/org/{organization_uuid}/dynamic_rules/preview/ \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"client_account_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scenarios": [
{
"label": "<string>",
"context_overrides": {},
"as_of_datetime": "2023-11-07T05:31:56Z",
"fundamentals_overrides": {},
"config_overrides": {}
}
],
"include_baseline": true
}
'import requests
url = "https://api.tilt.io/api/v1/custom/org/{organization_uuid}/dynamic_rules/preview/"
payload = {
"client_account_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scenarios": [
{
"label": "<string>",
"context_overrides": {},
"as_of_datetime": "2023-11-07T05:31:56Z",
"fundamentals_overrides": {},
"config_overrides": {}
}
],
"include_baseline": True
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_account_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
scenarios: [
{
label: '<string>',
context_overrides: {},
as_of_datetime: '2023-11-07T05:31:56Z',
fundamentals_overrides: {},
config_overrides: {}
}
],
include_baseline: true
})
};
fetch('https://api.tilt.io/api/v1/custom/org/{organization_uuid}/dynamic_rules/preview/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"params": "<unknown>",
"result": null,
"error_message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}Dynamic Rules
Create Preview Job
POST
/
api
/
v1
/
custom
/
org
/
{organization_uuid}
/
dynamic_rules
/
preview
/
cURL
Authorizations
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
202 - application/json
PENDING- PENDINGRUNNING- RUNNINGSUCCESS- SUCCESSFAILURE- FAILURE
Available options:
PENDING, RUNNING, SUCCESS, FAILURE ⌘I